/*
 * Created by victoria on 2021-05-12.
 */

#include "sce.h"

#include <QRandomGenerator>

#define RPAD_ALPHABET "!\"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz{|}~"

constexpr int RPAD_MAX_LENGTH = 200;

QString QXmpp::Sce::generatePadding() {
    QRandomGenerator random{};
    QString result{};
    QString alphabet{QStringLiteral(RPAD_ALPHABET)};

    auto length = random.bounded(RPAD_MAX_LENGTH);
    result.resize(length);

    for (auto i = 0; i < length; ++i) {
        result[i] = alphabet[random.bounded(alphabet.length())];
    }

    return result;
}
